Skip to main content
GET
/
organizations
/
{organization_id}
/
employees
/
{employee_id}
/
insurance-details
/
history
Get Employee Insurance Details History
curl --request GET \
  --url https://preview.intermezzo.ai/organizations/{organization_id}/employees/{employee_id}/insurance-details/history \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://preview.intermezzo.ai/organizations/{organization_id}/employees/{employee_id}/insurance-details/history"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://preview.intermezzo.ai/organizations/{organization_id}/employees/{employee_id}/insurance-details/history', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "employeeId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "employmentCountry": "DE",
    "insuranceNumber": "<string>",
    "contributionGroup": "<string>",
    "insuranceProvider": "<string>",
    "alternateCollectionAgency": "<string>",
    "privateInsuranceHealthMonthly": "0",
    "privateInsuranceCareMonthly": "0",
    "careInsuranceChildren": 0,
    "u1Exempt": false,
    "u2Exempt": false,
    "uvRiskTariff": [
      {
        "tariffCode": "<string>",
        "tariffDescription": "<string>",
        "tariffPercentage": "0"
      }
    ],
    "pensionDetails": {
      "employmentCountry": "DE",
      "receivedMiningAdjustmentPayments": false,
      "pensionStartDate": "2023-12-25",
      "waiverDeclarationStatus": "default",
      "waiverReceiptDate": "2023-12-25",
      "waiverValidityDate": "2023-12-25"
    },
    "validFrom": "2023-12-25",
    "validTo": "2023-12-25"
  }
]
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Get token from Auth0 and paste it here

Path Parameters

organization_id
required
employee_id
required

Response

Successful Response

Response model for insurance details with metadata fields.

employeeId
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
id
required
employmentCountry
string
default:DE
Allowed value: "DE"
insuranceNumber
string | null
contributionGroup
string | null
personGroup
enum<integer> | null

An IntEnum representing the key numbers ('Schlüsselzahlen') for person groups in German social insurance notifications (DEÜV).

Available options:
101,
102,
103,
104,
105,
106,
107,
108,
109,
110,
111,
112,
113,
114,
116,
117,
118,
119,
120,
121,
122,
123,
124,
127,
190,
140,
141,
142,
143,
144,
149,
150,
203,
204,
207,
208,
209,
210,
301,
302,
303,
304,
305,
306,
307
insuranceProvider
string | null
alternateCollectionAgency
string | null
privateInsuranceHealthMonthly
string | null
default:0

EN:Private health insurance monthly|DE:Private Krankenversicherung monatlich

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
privateInsuranceCareMonthly
string | null
default:0

EN: Private care insurance monthly | DE: Private Pflegeversicherung monatlich

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
careInsuranceChildren
integer | null
default:0
u1Exempt
boolean | null
default:false
u2Exempt
boolean | null
default:false
uvRiskTariff
RiskTariff · object[] | null
pensionDetails
PensionDetails · object | null

Pension details for German employees according to Annex 04a specification. Required for extended plausibility checks of employed pensioners.

validFrom
string<date> | null

EN: Valid from date | DE: Gültig ab Datum

validTo
string<date> | null

EN: Valid to date | DE: Gültig bis Datum